#1 Update requires for new python2/3-xapps-overrides subpackages.
Opened a year ago by troycurtisjr. Modified a year ago
https://gitlab.com/troycurtisjr/fedora-pkg-cinnamon.git python-requires  into  master

Add requires for the new python2/3-xapps-overrides.
Troy Curtis Jr • a year ago  
cinnamon.spec
file modified
+8 -1

@@ -9,7 +9,7 @@

  

  Name:           cinnamon

  Version:        3.6.2

- Release:        1%{?dist}

+ Release:        2%{?dist}

  Summary:        Window management and application launching for GNOME

  License:        GPLv2+ and LGPLv2+

  URL:            https://github.com/linuxmint/

@@ -139,6 +139,10 @@

  # required for keyboard applet

  Requires:       gucharmap

  Requires:       xapps

+ # required for xlet-settings

+ Requires:       python3-xapps-overrides%{?_isa}

+ # required for cinnamon-settings/cinnamon-screensaver-lock-dialog

+ Requires:       python2-xapps-overrides%{?_isa}

  # required for network applet

  Requires:       nm-connection-editor

  Requires:       network-manager-applet

@@ -285,6 +289,9 @@

  %doc %{_datadir}/gtk-doc/html/*/

  

  %changelog

+ * Tue Nov 14 2017 Troy Curtis, Jr <troycurtisjr@gmail.com> - 3.6.2-2

+ - Point to the new python2/python3-xapps-overrides

+ 

  * Mon Nov 13 2017 Leigh Scott <leigh123linux@googlemail.com> - 3.6.2-1

  - update to 3.6.2 release

  

no initial comment

If https://src.fedoraproject.org/rpms/xapps/pull-request/1 is accepted, the requires for this package need to be updated to correctly depend on required functionality.

Metadata